Subject: bug#39827: [PATCH] dircolors: add *direct* to TERM matching

From: L A Walsh <[email-masked]>
Date: Fri, 28 Feb 2020 09:00:36 -0800

xterm-TrueColor
and xterm-24bit
I've heard of, but direct?  Isn't that a direct serial line
connection?

But suffice it to say, I haven't seen any _concensus_ on a name
or terminal-name for that feature.

Certainly TrueColor or 24-bit (or maybe 32) would be more descriptive
that something used for a direct connetion?

On 2020/02/28 01:07, nl6720 wrote:
> * src/dircolors.hin: Add *direct* to match terminals that
> support direct colors (24-bit color / TrueColor).
>   
---
    Direct colors isn't an industry term that I've ever heard of. 
Besides, it takes about 13 bits per color to represent full color, so 
16-bits seems likely as an upper bound using 64-bits total (upper 16 for 
alpha?).

> ---
>  src/dircolors.hin | 1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/src/dircolors.hin b/src/dircolors.hin
> index 8f795bc99..b22643dbb 100644
> --- a/src/dircolors.hin
> +++ b/src/dircolors.hin
> @@ -17,6 +17,7 @@ TERM con[0-9]*x[0-9]*
>  TERM cons25
>  TERM console
>  TERM cygwin
> +TERM *direct*
>  TERM dtterm
>  TERM gnome
>  TERM hurd
>